---
layout: page
title: Buddycheck
has_children: false
has_toc: false
parent: Assignments
---

# {{ page.title }}

Provide peer feedback via *Buddycheck* to your team members.
You can find the link to the tool in Brightspace (Content » Buddycheck).
Please fill *all parts* of the survey honestly.

Leave constructive feedback for each team member:
- Give a TIP (something that can be improved) that is structured along three dimensions:
	1. Refer to a concrete *situation* that you have observed.
	2. Describe the *effect* the situation had on you.
	3. Elaborate what *change* you wish to see in the future.
- Provide a concrete TOP (something that is good) that you illustrate through stating observable facts (Not just "you are just great"). Your feedback will be anonymous.


Make sure that your feedback is constructive and that it has a reasonable length, is understandable, and is concrete.
Avoid high-level feedback that does not refer back to concrete examples or feedback without context that is so short that the recipient cannot understand it.
Remember that *"Constructive participation in the peer review process"* is a pass/fail element of the course.

*Note:* Your feedback will be anonymous. The answers to the "open questions" are only visible to course staff (TAs + lecturers). The "peer messages" (tips/tops) are visible (anonymously) to the respective peer.

*Note:* Answers to the question on *Individual Grading* will be used to derive the *"Individual Adjustment"* for each team member to the [Overall Grade]({%link assessment/index.md%}) (compared to the rest of the team).

{:.info}
You can only submit your feedback once, after that, it cannot be changed anymore.
Make sure that you proof-read and double-check your feedback before submission!


