---
layout: page
title: Schedule
nav_order: 2
parent: Course Info
has_toc: false
---

## {{ page.title }}

{: .caution}
Please note that the exam day has changed to Friday, June 30!

The study load of the course varies throughout the weeks.
We will start with several *lectures* that provide you with the required background knowledge.
In the second half, the course will transition towards group assignments and we will only meet in the large group for reviewing and discussing the peer feedback that you gave each other.

In the following, you will find the schedule for the *lectures* and the relevant assignments/peer reviews.
Make sure that you keep an eye on all relevant dates and deadlines.

### Lectures and Q&A Sessions

Please check your [timetable](https://mytimetable.tudelft.nl/schedule) for all in-person meetings.
The Q&A sessions are meetings in the classroom.
We will reflect on common issues, recurring comments that we have seen in the weekly peer feedback, and will be available for clarifications around the team project.

{:.schedule}
| Date | Description |
| --- | --- |
| Mon, Apr 24 | Intro (Structure, Project) |
| Wed, Apr 26 | Continuous X + Versioning |
| Fri, Apr 28 | Containerization (+Compose) |
| Mon, May 1 | Deployment with Github |
| Wed, May 3 | Kubernetes: Intro |
| Mon, May 8 | Monitoring/Prometheus |
| Wed, May 10 | ML Pipelines & Code Quality |
| Fri, May 19 | *Self-study:* Continuous Experimentation (No Lecture) |
| Mon, May 22 | ML Config Management |
| Wed, May 24 | ML Testing |
| Fri, May 26 | Data Validation |
| Wed, May 31 | "Contents of the Report" |
| Fri, June 2 | Q&A1 + Q&A2 |
| Fri, June 9 | Q&A3 + Q&A4 |
| Fri, June 16 | Q&A5 |
| Fri, June 23 | Q&A6 |
| Fri, June 30 | Oral Exam |



### Deadlines (Assignments and Peer Reviews/Evaluations)

A large part of the course is the teamwork that includes assignments (*A\**), [peer reviews][peer-review] of the assignments (*R\**), and two team-internal peer evaluations through [Buddycheck][buddycheck].

[peer-review]: {%link assignments/peer-review.md %}
[buddycheck]: {%link assignments/buddycheck.md %}

{:.schedule}
| Date | Description |
| --- | --- |
| Fri, May 12 | [A1]({%link assignments/a1-images-and-releases.md%}) |
| Wed, May 17 | R1 + [A2]({%link assignments/a2-operate-a-webapp.md%}) |
| Wed, May 24 | R2 |
| Tue, May 30 | [A3]({%link assignments/a3-istio-service-mesh.md%}) + [A4]({%link assignments/a4-ml-config.md%}) + [Buddycheck 1][buddycheck] |
| Mon, Jun 5 | [A5]({%link assignments/a5-ml-testing.md%}) |
| Wed, Jun 7 | R3 + R4 |
| Mon, Jun 12 | R5 + [A6]({%link assignments/a6-report.md%}) |
| Mon, Jun 19 | R6 |
| Fri, Jun 23 | [Buddycheck 2][buddycheck] |
| Thu, Jun 29 | [Final Submissions]({%link assignments/final-submissions.md%}) |
