---
layout: page
title: Material
has_children: true
has_toc: false
nav_order: 2
---

# Material

This page lists all course material, which includes lecture recordings, getting started guides, tutorial videos, or reference material for the assignments.
You are expected to work through the material in the week that are indicated in the [course schedule]({%link course_info/schedule.md%}).
Instead of following the direct file links, you can also browse the [course share][course-share] and download all material from there.

*Please note:* Lecture slides will generally be uploaded *after* the lectures.

{: .info}
You can find the required password on Brightspace: *Content » Course Info » Course Share*. <br/><br/>
*Tip:* Surfdrive links require authentication and will redirect you to the base folder afterwards.
However, going back in your browser and clicking the link again will then load the file directly.


[course-share]: {{ site.surfdrive }}


### Week 1

{: .material}
| Mon | *Introduction* | Slides: [Orga][intro-slides-orga]/[Project][intro-slides-project], [Video][intro-video] |
| Wed | *Continous {Integration, Delivery, Deployment, Experimentation}* | [Slides][continuous-x-slides], [Video][continuous-x-video] |
| Fri | *Containers & Orchestration* | [Slides][containerization_orchestration_slides], [Video][containerization_orchestration_video] |

[intro-slides-orga]: {%surfdrive /material/01_intro_orga.pdf%}
[intro-slides-project]: {%surfdrive /material/01_intro_project.pdf%}
[intro-video]: {%surfdrive /recordings/01_intro_video.mp4%}

[continuous-x-slides]: {%surfdrive /material/02_continuous_x.pdf%}
[continuous-x-video]: {%surfdrive /recordings/02_continuous_x.mp4%}

[containerization_orchestration_slides]: {%surfdrive /material/03_container_orchestration.pdf%}
[containerization_orchestration_video]: {%surfdrive /recordings/03_container_orchestration.mp4%}

### Week 2

{: .material}
| Mon | *Deployment with GitHub* | [Slides][deployment_with_github_slides], [Video][deployment_with_github_video] |
| Wed | *Kubernetes* | [Slides][kubernetes_slides], [Video][kubernetes_video] |

[deployment_with_github_slides]: {%surfdrive /material/04_deployment_with_github.pdf%}
[deployment_with_github_video]: {%surfdrive /recordings/04_deployment_with_github.mp4%}

[kubernetes_slides]: {%surfdrive /material/05_kubernetes.pdf%}
[kubernetes_video]: {%surfdrive /recordings/05_kubernetes.mp4%}

### Week 3

{: .material}
| Mon | *Monitoring* | [Slides][monitoring_slides], [Video][monitoring_video] |
| Wed | *ML Pipelines & Code Quality* | [Slides][ml_pipelines_and_code_quality_slides], [Video][ml_pipelines_and_code_quality_video] |
| Fri |  | |

[monitoring_slides]: {%surfdrive /material/06_monitoring_in_kubernetes.pdf%}
[monitoring_video]: {%surfdrive /recordings/06_monitoring_in_kubernetes.mp4%}
[ml_pipelines_and_code_quality_slides]: {%surfdrive /material/07_ml_pipelines_and_code_quality.pdf%}
[ml_pipelines_and_code_quality_video]: {%surfdrive /recordings/07_ml_pipelines_and_code_quality.mp4%}

### Week 4

{: .material}
| Mon |  |  |
| Wed |  |  |
| Fri | *Continuous Experimentation* | [Slides][ce_slides], [Video][ce_video] |

[ce_slides]: {%surfdrive /material/08_continuous_experimentation.pdf%}
[ce_video]: {%surfdrive /recordings/08_continuous_experimentation.mp4%}


### Week 5

{: .material}
| Mon | *ML Configuration Management* | [Material](../material/ML_config_management) |
| Wed | *ML Testing* | [Slides][slides_10], [Video][video_10] |
| Fri | *Data Validation & Data Management* | [Material](../material/data_validation), [Slides part 1][Slides_11_1], [Slides part 2][Slides_11_2],  [Video][video_11] |

[slides_10]: {%surfdrive /material/10_ml_testing.pdf%}
[video_10]: {%surfdrive /recordings/10_ml_testing.mp4%}
[slides_11_1]: {%surfdrive /material/11_1_data_validation.pdf%}
[slides_11_2]: {%surfdrive /material/11_2_data_management.pdf%}
[video_11]: {%surfdrive /recordings/11_ml_testing.mp4%}


### Week 6

{:.material}
| Wed | *Contents of the Essay* | [Slides][slides_12], Video unavailable  |
| Fri | *Q&A 1+2* | [Slides][slides_13], [Video][video_13]  |

[slides_12]: {%surfdrive /material/12-contents-of-the-essay.pdf%}
[slides_13]: {%surfdrive /material/13-q&a1+2.pdf%}
[video_13]: {%surfdrive /recordings/13-q&a1+2.mp4%}


### Week 7

{:.material}
| Fri | *Q&A 3+4* | [Slides][slides_14], [Video][video_14]  |

[slides_14]: {%surfdrive /material/14-q&a3+4.pdf%}
[video_14]: {%surfdrive /recordings/14-q&a3+4.mp4%}
